:root {
  --font-family: sans-serif;  
  --line-height: 1.5;
  --border-radius: 5px;
  --color-accent: #118bee15;
  --color-bg: #fff;
  --color-bg-secondary: #e9e9e9;
  --color-link: #118bee;
  --color-secondary: #920de9;
  --color-secondary-accent: #920de90b;
  --color-shadow: #f4f4f4;
  --color-table: #118bee;
  --color-text: #000;
  --color-text-secondary: #999;
  --color-scrollbar: #cacae8;
  --justify-important: center;
  --justify-normal: left;
}

body {
  font-family: var(--font-family);
  line-height: var(--line-height);
}



/* ************************************************** */
/* main layout */
/* ************************************************** */
.container {
  display: grid;
  grid-template-areas:
    'header'
    'main-content'
    'left-sidebar'
    'right-sidebar'
    'footer';
}

.container > .header {
  grid-area: header;
  /* background-color: #f97171; */
}

.container > .left-sidebar {
  grid-area: left-sidebar;
  /* background-color: #991111; */
}

.container > .right-sidebar {
  grid-area: right-sidebar;
  /* background-color: #AAAAFF; */
}

.container > .main-content {
  grid-area: main-content;
  /* background-color: #DDDDDD; */
}

.container > .footer {
  grid-area: footer;
  /* background-color: #991111; */
}


/* ************************************************** */
/* link styling in navbar */
/* ************************************************** */
nav {
  display: flex;
  align-items: center;
  font-size: 1.25rem
}

nav ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  display: flex;
}

nav ul li {
  /* background-color: white; */
  padding: 14px 16px;
}

nav ul li a {
  text-decoration: none;
  color: black;
}

nav ul li a.visited {
  text-decoration: none;
  color: black;
}

nav ul li:hover {
  text-decoration: none;
  color: black;
  text-decoration: underline;
}

/* not working really,  */
nav ul li a.active {
  background-color: #04AA6D;
  font-weight: bold;
}

/* Drop-Down elements*/
.menu-content{
  display: none;
  position: absolute;
  background-color: #f9f9f9;
}

.menu:hover .menu-content {
  display: block;
}


/* ************************************************** */
/* styling of left side bar */
/* ************************************************** */
.left-sidebar ul {
  list-style-type: none;
  padding: 4px 12px;
}

.left-sidebar a{
  list-style-type: none;
  padding: 0;
  color: #4499FF;
}

.construction-sidebar {
  
}

.construction-sidebar ul {
  list-style: none;
  padding-left: 10;
}

.construction-sidebar ul li a {
  list-style: none;
  padding-left: 0;
  color: #4499FF;
}

.construction-sidebar-title {
  font-size: 1.25rem
}

.construction-sidebar


.imgThumbnail {
  border-radius: 5px;
  cursor: pointer;
  transition: 0.3s;
}

.imgThumbnail:hover {
  opacity: 0.7;
}

.modal {
  display: none;
  position: fixed;
  z-index: 1;
  padding-top: 100px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgb(0,0,0);
  background-color: rgb(0,0,0,0.6);
}

.modal-content {
  background-color: #fefefe;
  margin: auto;
  display: block;
  width: 60%;

  animation-name: zoom;
  animation-duration: 0.6s;
}


/* The Close Button */
.close {
  position: absolute;
  top: 15px;
  right: 35px;
  color: #f1f1f1;
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
}

.close:hover,
.close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}

article aside {
  background: var(--color-secondary-accent);
  border-left: 4px solid var(--color-secondary);
  padding: 0.01rem 0.8rem;
}

/* tablet breakpoint */
@media (min-width:768px) {
    .holy-grail-grid {
        grid-template-columns: 1fr 1fr;
        grid-template-areas:
            'header header'
            'main-content main-content'
            'left-sidebar right-sidebar'
            'footer footer';
    }
}

/* desktop breakpoint */
@media (min-width:1024px) {
    .container {
        grid-template-columns: repeat(6, 1fr);
        grid-template-areas:
            'header header header header header header'
            'left-sidebar main-content main-content main-content main-content right-sidebar'
            'footer footer footer footer footer footer';
    }
}

.flexbox {
  display: flex;  
  justify-content: center;
  gap: 10px;
  flex-direction: row;
  flex-wrap: wrap;
}

/* ************************************************** */
/* list of blog posts
/* ************************************************** */
.post-list {
  display: grid;
  gap: 1em;
  grid-template-columns: auto 1fr;
}


.post-item {
  display: grid;
  grid-column: 1 / -1;
  grid-template-columns: subgrid;
  align-items: baseline;
  row-gap: 8px;
}

.post-item-time {
  grid-column: 1;
  font-size: 0.9rem;
  color: var(--text-alt);
}

.post-item-title {
  color: var(--text);
  grid-column: 2;
  text-decoration: none;
}

.post-item-summary {
  grid-column: 2;
  font-weight: 300;
  font-size: 0.9rem;
}

/* ************************************************** */
/* Typography
/* ************************************************** */
code,
samp {
  background-color: var(--color-accent);
  border-radius: var(--border-radius);
  color: var(--color-text);
  display: inline-block;
  margin: 0 0.1rem;
  padding: 0 0.5rem;
}

/* ************************************************** */
/* Tables
/* ************************************************** */
table {
  border: 1px solid var(--color-bg-secondary);
  border-radius: var(--border-radius);
  border-spacing: 0;
  display: inline-block;
  max-width: 100%;
  overflow-x: auto;
  padding: 0;
  white-space: nowrap;
}

table td,
table th,
table tr {
  padding: 0.4rem 0.8rem;
  text-align: var(--justify-important);
}

table thead {
  background-color: var(--color-table);
  border-collapse: collapse;
  border-radius: var(--border-radius);
  color: var(--color-bg);
  margin: 0;
  padding: 0;
}

table thead tr:first-child th:first-child {
  border-top-left-radius: var(--border-radius);
}

table thead tr:first-child th:last-child {
  border-top-right-radius: var(--border-radius);
}

table thead th:first-child,
table tr td:first-child {
  text-align: var(--justify-normal);
}

table tr:nth-child(even) {
  background-color: var(--color-accent);
}


blockquote {
  display: block;
  font-size: x-large;
  line-height: var(--line-height);
  margin: 1rem auto;
  max-width: var(--width-card-medium);
  padding: 1.5rem 1rem;
  text-align: var(--justify-important);
}
